<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# EDIT-MUALKOTAS                                                   #
# Új vagy meglévő műalkotás adatainak szerkesztése                 #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}  
// Ha 0-s zonosítót akarunk szerkeszteni, akkor ez jelenti majd az új alkotást
  if ($id == 0) {
    // Létrehozunk egy új műalkotást aminek a címe: Cím aktuálisdátum lesz
    $lekerdezes = lekerdezes("INSERT mualkotasok (mu_cim,helynev_kod,cim_kod) VALUES('".ucfirst($szoveg[cim])." ".date('Y.m.d. H:i:s')."',0,0)");
    $id = beszurt_azonosito("mualkotasok");  
  }

  echo "        <script language=\"Javascript\" src=\"".$dir['jscripts']."/szerkesztes.js\"></script>\n";
  $lekerdezes_mualkotas = lekerdezes("SELECT * FROM mualkotasok
          LEFT JOIN cimek on mualkotasok.cim_kod = cimek.cim_azon
          LEFT JOIN helyek on mualkotasok.helynev_kod = helyek.helynev_azon
          WHERE mu_azon = ".$id);
  // Ha van ilyen szerkeszthető alkotás, akkor megyünk tovább
  if (ossz_rekord($lekerdezes_mualkotas)>0) {
    $rekord_mualkotas = olvas_asszociativ($lekerdezes_mualkotas);
    $helynev_kod = $rekord_mualkotas[helynev_kod];
// Feldolgozó FRAME
// az oldal újratöltése nélkül itt futnak le az SQL módosítások    
    echo "        <iframe name=\"feldolgozo_oldal\" frameborder=\"0\" id=\"feldolgozo\" align=\"right\"></iframe>\n";
// Segéd FRAME módosításokhoz
    echo "        <iframe name=\"kieg\" frameborder=\"0\" id=\"kiegeszito\" align=\"right\"></iframe>\n";
    
    echo "        <table class=\"adatok\"><tr>\n";
    echo "          <td><span class=\"szoveg\">".ucfirst($szoveg[mezo_azon])."</span>\n";
    echo "          <td><input type=\"text\" size=\"2\" value=\"$rekord_mualkotas[mu_azon]\" disabled readonly></td>\n";
    echo "        </tr><tr>\n";

// Mű címe
    urlapkeszit("input","mualkotas-cim",1,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[mezo_kereses_mu_cim]),
                "mu_cim",$rekord_mualkotas[mu_cim],20,100);
    echo "        </tr><tr>\n";

// Mű alcíme 
    urlapkeszit("input","mualkotas-alcim",0,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[mezo_alcim]),
                "mu_alcim",$rekord_mualkotas[mu_alcim],20,100);
    echo "        </tr><tr>\n";


// Mű készítési dátuma 
    urlapkeszit("input","mualkotas-evszam",0,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[mezo_kereses_mu_evszam]),
                "mu_evszam",$rekord_mualkotas[mu_evszam],8,10);
    echo "        </tr><tr>\n";

// Mű alkotói
    echo "          <form name=\"mualkotok\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[keszitette])."</span>\n";
    echo "            <img src=\"".$dir['images']."/icon_plus.png\" onClick=\"betolt('alkotok','insert','".$id."')\" vspace=2 width=\"13\" height=\"13\" border=\"0\" title=\"Hozzáad\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
    echo "          </td>";
    echo "          <td>\n";
    $lekerdezes_mualkotok = lekerdezes("SELECT DISTINCT alk_azon, alk_nev, alk_szulev, alk_halalev FROM nezet_mualkotas_alkotoi WHERE mu_kod = ".$id." ORDER BY alk_nev");
    $ossz_a = ossz_rekord($lekerdezes_mualkotok);
    if ($ossz_a>0) {
      while($rekord_mualkoto = olvas_asszociativ($lekerdezes_mualkotok)) {
        echo "            <input type=\"text\" name=\"alk".$rekord_mualkoto[alk_azon]."\" size=\"20\"";
        echo " value=\"".$rekord_mualkoto[alk_nev]; 
        if (($rekord_mualkoto[alk_szulev]) || ($rekord_mualkoto[alk_halalev]))
            echo " (".$rekord_mualkoto[alk_szulev]."-".$rekord_mualkoto[alk_halalev].")";
        echo "\" readonly>\n";
        echo "            <img onClick=\"betolt('alkotok','update','alk_kod=".$rekord_mualkoto[alk_azon]." AND mu_kod=".$id."')\" src=\"".$dir['images']."/icon_edit.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Módosít\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\">\n";
        echo "            <img onClick=\"torles($ossz_a,'mualkotas_alkotoi','mu_kod=".$id." AND alk_kod=".$rekord_mualkoto[alk_azon]."')\" src=\"".$dir['images']."/icon_drop.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Töröl\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\"><br>\n";
      }
    }
    echo "          </td></form>\n";

// Helyszín
    echo "        </tr><tr>\n";
    echo "          <form name=\"helyszinek\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <input type=\"hidden\" name=\"ures\" value=\"0\">\n";
    echo "          <input type=\"hidden\" name=\"temp\" value=\"\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"update\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"mualkotasok\">\n";
    echo "          <input type=\"hidden\" name=\"mezo\" value=\"helynev_kod\">\n";
    echo "          <input type=\"hidden\" name=\"feltetel\" value=\"mu_azon\">\n";
    echo "          <input type=\"hidden\" name=\"mu_azon\" value=\"".$id."\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[mezo_helyszin])."</span></td>\n";
    echo "          <td>\n";
    $lekerdezes_helyek = lekerdezes("SELECT * FROM helyek WHERE helynev_azon ORDER BY helynev_nev");
    if (ossz_rekord($lekerdezes_helyek)>0) {
      echo "            <select size=\"2\" name=\"helynev_kod\" onBlur=\"ellenoriz(this.form,'helynev_kod')\" onChange=\"changed(this.form)\">\n";
      echo "              <option value=\"0\"";
      if ($rekord_mualkotas[helynev_kod] == 0) echo " SELECTED";
      echo ">ismeretlen</option>\n";
      while ($rekord_helyek = olvas_asszociativ($lekerdezes_helyek)) {
        echo "               <option value=\"".$rekord_helyek[helynev_azon]."\"";
        if ($rekord_helyek[helynev_azon] == $rekord_mualkotas[helynev_kod]) 
          echo " SELECTED"; 
        echo ">";
        if (strlen($rekord_helyek[helynev_nev])>=20)
          echo substr($rekord_helyek[helynev_nev],0,20)."...";
        else echo $rekord_helyek[helynev_nev];
        echo "</option>\n";
      }
      echo "            </select>\n";
    }
    echo "          </td></form>\n";

// Közterület
    echo "        </tr><tr>\n";
    echo "          <form name=\"cimek\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <input type=\"hidden\" name=\"ures\" value=\"0\">\n";
    echo "          <input type=\"hidden\" name=\"temp\" value=\"\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"update\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"mualkotasok\">\n";
    echo "          <input type=\"hidden\" name=\"mezo\" value=\"cim_kod\">\n";
    echo "          <input type=\"hidden\" name=\"feltetel\" value=\"mu_azon\">\n";
    echo "          <input type=\"hidden\" name=\"mu_azon\" value=\"".$id."\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[mezo_kozterulet])."</span></td>\n";
    echo "          <td>\n";
    $lekerdezes_cimek = lekerdezes("SELECT * FROM cimek WHERE cim_azon ORDER BY cim_nev");
    if (ossz_rekord($lekerdezes_cimek)>0) {
      echo "            <select size=3 name=\"cim_kod\" onBlur=\"ellenoriz(this.form,'cim_kod')\" onChange=\"changed(this.form)\">\n";
      echo "              <option value=\"0\"";
      if ($rekord_mualkotas[cim_kod] == 0) echo " SELECTED";
      echo ">ismeretlen</option>\n";
      while ($rekord_cimek = olvas_asszociativ($lekerdezes_cimek)) {
        echo "               <option value=\"".$rekord_cimek[cim_azon]."\"";
        if ($rekord_cimek[cim_azon] == $rekord_mualkotas[cim_kod]) 
          echo " SELECTED"; 
        echo ">".$rekord_cimek[cim_nev]."</option>\n";
      }
      echo "            </select>\n";
    }
    echo "          </td></form>\n";

// Házszám
    echo "        </tr><tr>\n";
    urlapkeszit("input","mualkotas-hazszam",0,
                "mualkotasok",
                "mu_azon",$id,
                ucfirst($szoveg[mezo_hsz]),"hely_hazszam",$rekord_mualkotas[hely_hazszam],
                4,6);
                
// Pontosítás
    echo "        </tr><tr>\n";
    urlapkeszit("input","mualkotas-pontositas",0,
                "mualkotasok",
                "mu_azon",$id,
                ucfirst($szoveg[mezo_pontos]),"pontositas",$rekord_mualkotas[pontositas],
                20,100);

// Technikái
    echo "        </tr><tr>\n";
    echo "          <form name=\"technikak\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[technika])."</span>\n";
    echo "            <img src=\"".$dir['images']."/icon_plus.png\" onClick=\"betolt('technikak','insert','".$id."')\" vspace=2 width=\"13\" height=\"13\" border=\"0\" title=\"Hozzáad\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
    echo "          </td>";
    $lekerdezes_technikak = lekerdezes("SELECT DISTINCT technika_azon, technika_nev FROM nezet_mualkotas_technikai  WHERE mu_kod = ".$id." ORDER BY technika_nev");
    $ossz_t = ossz_rekord($lekerdezes_technikak);
    if ($ossz_t>0) {
      echo "          <td>\n";
      while($rekord_technika = olvas_asszociativ($lekerdezes_technikak)) {
        echo "            <input type=\"text\" name=\"tech".$rekord_technika[technika_azon]."\" size=\"20\" value=\"".$rekord_technika[technika_nev]."\" readonly>\n";
        echo "            <img onClick=\"betolt('technikak','update','technika_kod=".$rekord_technika[technika_azon]." AND mu_kod=".$id."')\" src=\"".$dir['images']."/icon_edit.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Módosít\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\">\n";
        echo "            <img onClick=\"torles(2,'mualkotas_technikai','mu_kod=".$id." AND technika_kod=".$rekord_technika[technika_azon]."')\" src=\"".$dir['images']."/icon_drop.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Töröl\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\"><br>\n";
      }
    }
    echo "          </td></form>\n";

// Anyagai
    echo "        </tr><tr>\n";
    echo "          <form name=\"anyagok\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[anyag])."</span>\n";
    echo "            <img src=\"".$dir['images']."/icon_plus.png\" onClick=\"betolt('anyagok','insert','".$id."')\" vspace=2 width=\"13\" height=\"13\" border=\"0\" title=\"Hozzáad\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
    echo "          </td>";
    $lekerdezes_anyagok= lekerdezes("SELECT DISTINCT anyag_azon, anyag_nev FROM nezet_mualkotasok_anyagai  WHERE mu_kod = ".$id." ORDER BY anyag_nev");
    $ossz_any = ossz_rekord($lekerdezes_anyagok);
    if ($ossz_any>0) {
      echo "          <td>\n";
      while($rekord_anyag = olvas_asszociativ($lekerdezes_anyagok)) {
        echo "            <input type=\"text\" name=\"tech".$rekord_anyag[anyag_azon]."\" size=\"20\" value=\"".$rekord_anyag[anyag_nev]."\" readonly>\n";
        echo "            <img onClick=\"betolt('anyagok','update','anyag_kod=".$rekord_anyag[anyag_azon]." AND mu_kod=".$id."')\" src=\"".$dir['images']."/icon_edit.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Módosít\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\">\n";
        echo "            <img onClick=\"torles(2,'mualkotas_anyagai','mu_kod=".$id." AND anyag_kod=".$rekord_anyag[anyag_azon]."')\" src=\"".$dir['images']."/icon_drop.png\" vspace=0 width=\"16\" height=\"16\" border=\"0\" title=\"Töröl\" align=\"absmiddle\" onMouseOver= \"this.style.cursor='hand'\"><br>\n";
      }
    }
    echo "          </td></form>\n";
    echo "         </table>\n";

// Fotók FRAME 
    echo "        <iframe name=\"fotok\" frameborder=\"0\" src=\"modules/kiegeszito_fotok.php?id=".$id."\" id=\"fotok\"></iframe>\n";

    echo "        <table class=\"adatok\"><tr>\n";
// Méret
    echo "        </tr><tr>\n";
    urlapkeszit("input","mualkotas-meret",0,
                "mualkotasok",
                "mu_azon",$id,
                ucfirst($szoveg[meret]),"pontositas",$rekord_mualkotas[mu_meret],
                10,30);

// Mű felirat
    echo "        </tr><tr>\n";
    urlapkeszit("textarea","mualkotas-felirat",0,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[mezo_felirat]),
                "mu_szoveg",$rekord_mualkotas[mu_szoveg],25,5);

// Mű megjegyzes
    echo "        </tr><tr>\n";
    urlapkeszit("textarea","mualkotas-megjegyzes",0,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[megjegyzes]),
                "mu_leiras",$rekord_mualkotas[mu_leiras],25,5);
                
// Mű forras
    echo "        </tr><tr>\n";
    urlapkeszit("textarea","mualkotas-forras",0,
                "mualkotasok",
                "mu_azon",$id,ucfirst($szoveg[mezo_forras]),
                "mu_forras",$rekord_mualkotas[mu_forras],25,5);

// Ellenőrízve
    echo "        </tr><tr>\n";
    urlapkeszit("input","mualkotas-ellenoriz",0,
                "mualkotasok",
                "mu_azon",$id,
                ucfirst($szoveg[adatok_ellenorizve]),"pontositas",$rekord_mualkotas[mu_edatum],
                10,12);

// Megjelenik
    echo "        </tr><tr>\n";
    echo "          <form name=\"anyagok\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <td valign=\"top\"><span class=\"szoveg\">".ucfirst($szoveg[mezo_megjelenik])."</span></td>\n";
    echo "          <td>\n";
    echo "          <input type=\"hidden\" name=\"ures\" value=\"0\">\n";
    echo "          <input type=\"hidden\" size=\"2\" name=\"temp\" value=\"1\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"update\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"mualkotasok\">\n";
    echo "          <input type=\"hidden\" name=\"mezo\" value=\"mu_aktiv\">\n";
    echo "          <input type=\"hidden\" name=\"feltetel\" value=\"mu_azon\">\n";
    echo "          <input type=\"hidden\" name=\"mu_azon\" value=\"".$id."\">\n";
    echo "          <input type=\"hidden\" size=\"2\" name=\"mu_aktiv\"";
    if ($rekord_mualkotas[mu_aktiv] == 1) echo " value=\"1\"";
    else echo " value=\"0\"";
    echo ">\n";
    echo "            <input type=\"checkbox\" name=\"mu_megjelenik\"";
    if ($rekord_mualkotas[mu_aktiv] == 1) echo " CHECKED";
    echo " onClick=\"this.form.mu_aktiv.value = (this.checked)?1:0;\" onBlur=\"this.form.temp.value=1;ellenoriz(this.form,'mu_aktiv')\">\n";
    echo "          </td></form>\n";            
    echo "        </tr></table>\n";
  }
  else {
    echo "        <div class=\"hiba\">".ucfirst($szoveg[nincsinfo]).".</div>\n";
  } 

// Ürlapkészítő - sima beviteli mezőt készít, módosított tartalomnál AJAX SQL frissítés
// paraméterek:
// $urlapnev: <form> name
// $ures: Ha 1 értékű, akkor kötelező kitölteni, egyébként használjunk 0-t
// $tablanev: a tábla, amelyiken majd módosítani kell
// $feltetel_mezo: a módosítás feltétel mezője
// $feltetel_ertek: a módosítás feltétel értéke
// $mezoszoveg: a képernyőn megjelenő mező neve, aminek módosítjuk a tartalmát
// $mezonev: az SQL-nek átadott mezőnév, aminek módosítjuk a tartalmát
// $mezoertek: az SQL-nek átadott mezőérték, ami a mezőnév értéke lesz
// $size: mező mérete
// $max: mező maximális hossza  
function urlapkeszit($urlaptipus,$urlapnev,$ures,$tablanev,$feltetel_mezo,$feltetel_ertek,$mezoszoveg,$mezonev,$mezoertek,$size,$max) {    
    echo "        <form name=\"".$urlapnev."\" method=\"get\" action=\"modules/feldolgozo.php\" target=\"feldolgozo_oldal\">\n";
    echo "          <td";
    if ($urlaptipus == 'textarea') echo " valign=\"top\"";
    echo ">\n";
    echo "          <input type=\"hidden\" name=\"ures\" value=\"".$ures."\">\n";
    echo "          <input type=\"hidden\" name=\"temp\" size=\"2\" readonly value=\"\">\n";
    echo "          <input type=\"hidden\" name=\"do\" value=\"update\">\n";
    echo "          <input type=\"hidden\" name=\"table\" value=\"".$tablanev."\">\n";
    echo "          <input type=\"hidden\" name=\"mezo\" value=\"".$mezonev."\">\n";
    echo "          <input type=\"hidden\" name=\"feltetel\" value=\"".$feltetel_mezo."\">\n";
    echo "          <input type=\"hidden\" name=\"".$feltetel_mezo."\" value=\"".$feltetel_ertek."\">\n";
    echo "          <span class=\"szoveg\">".$mezoszoveg."</span>";
    if ($ures == 1) echo "<span title=\"Kötelező kitölteni\"><sup>*</sup></span>";
    echo "\n          </td>\n";
    if ($urlaptipus == 'input')
      echo "          <td><input type=\"text\" size=\"".$size."\" maxlength=\"".$max."\" name=\"".$mezonev."\" value=\"".$mezoertek."\" onBlur=\"ellenoriz(this.form,'".$mezonev."')\" onChange=\"changed(this.form)\" size=\"20\"></td>\n";
    elseif ($urlaptipus == 'textarea') {
      $mezoertek = str_replace("<br>","\n",$mezoertek);  
      echo "          <td><textarea cols=\"".$size."\" rows=\"".$max."\" name=\"".$mezonev."\" onBlur=\"ellenoriz(this.form,'".$mezonev."');\" onChange=\"changed(this.form)\" size=\"20\">".$mezoertek."</textarea></td>\n";
    }  
    echo "        </form>\n";
}

?>          
